<?php

namespace Litecms\Productt;

use User;

class Productt
{
    /**
     * $productt object.
     */
    protected $productt;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Productt\Interfaces\ProducttRepositoryInterface $productt)
    {
        $this->productt = $productt;
    }

    /**
     * Returns count of productt.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.productt.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->productt->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ProducttUserCriteria());
        }

        $productt = $this->productt->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('productt::' . $view, compact('productt'))->render();
    }
}
